Bug 1289541 (CVE-2015-8504)

Summary: CVE-2015-8504 Qemu: ui: vnc: avoid floating point exception
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abaron, ailan, amit.shah, apevec, areis, ayoung, berrange, carnil, cfergeau, chrisw, dallan, drjones, dwmw2, gkotton, grantcmurphy, imammedo, itamar, jen, jforbes, jschluet, knoel, lhh, lpeer, markmc, m.a.young, mkenneth, mrezanin, mst, pbonzini, rbryant, rjones, rkrcmar, sclewis, slong, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
An arithmetic-exception flaw was found in the QEMU emulator built with VNC display-driver support. The VNC server incorrectly handled 'SetPixelFormat' messages sent from clients. A privileged remote client could use this flaw to crash the guest resulting in denial of service.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:46:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1289542, 1289544    
Bug Blocks: 1267157    

Description Prasad J Pandit 2015-12-08 12:09:07 UTC
Qemu emulator built with the VNC display driver support is vulnerable to an
arithmetic exception flaw. It occurs on the VNC server side while processing
the 'SetPixelFormat' messages from a client.

A privileged remote client could use this flaw to crash the guest resulting in
DoS.

Upstream patch:
---------------
  -> http://git.qemu.org/?p=qemu.git;a=commitdiff;h=4c65fed8bdf96780735dbdb92a8

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/12/08/7

Comment 1 Prasad J Pandit 2015-12-08 12:10:57 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1289544]

Comment 2 Prasad J Pandit 2015-12-08 12:11:20 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1289542]

Comment 3 Prasad J Pandit 2015-12-08 12:32:25 UTC
Acknowledgements:

This issue was discovered by Lian Yihan of Qihoo 360 Inc.

Comment 4 Prasad J Pandit 2015-12-08 13:03:13 UTC
Statement: 

This issue does not affect the versions of the kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue does not affect the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6, and the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue affects the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 7.

This issue affects the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This has been rated as having Moderate security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.

Comment 8 Fedora Update System 2015-12-14 10:20:51 UTC
qemu-2.4.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-12-17 07:25:50 UTC
xen-4.5.2-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-12-28 23:54:01 UTC
qemu-2.3.1-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.